<?php
//exit;
date_default_timezone_set ( "America/Lima" ); 

define('SF_ROOT_DIR', "/home/invergladi/public_html/gladis");
//define('SF_ROOT_DIR', "C://wamp/www/credisur");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

$dia = date('N');

if($dia == 7) exit;


if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}



if(!$Fecha) $Fecha = date('Y-m-d');

$sql = "SELECT 	IdSucursal
		FROM 	`cr_sucursal` 
		WHERE 	1=1 
		AND eliminado = '0'
		";
	
$resultS = mysql_query($sql,$con);
if(mysql_num_rows($resultS) > 0 ){
	while($rowS = mysql_fetch_array($resultS)){
		$IdSucursal = $rowS['IdSucursal'];		
		
				
		
		
		$fecha_con_retrazo = date('Y-m-d',strtotime($fecha." -".$dias_retrazo." day"));
		
		$sql = "SELECT 		IdAdministrador
				FROM 		`cr_sucursal` 
				WHERE 	1=1 				
						and IdSucursal = '".$IdSucursal."'
					";
		
		$result = mysql_query($sql,$con);
		if(mysql_num_rows($result) > 0 ){
			while($row = mysql_fetch_array($result)){
				$IdAdministrador = $row['IdAdministrador'];
			
			
				//Buscar los colaboradores incluido el administrador
				
				$sql = "SELECT 	IdColaborador, PagoRpm
						FROM 	`cr_colaborador` 
						WHERE 	1=1 				
								and ( IdPadre= '".$IdAdministrador."' or idcolaborador='".$IdAdministrador."')
								and eliminado = '0'
							";
				echo $sql;	
				$resultC = mysql_query($sql,$con);
				if(mysql_num_rows($resultC) > 0 ){
					while($rowC = mysql_fetch_array($resultC)){
						$IdColaborador = $rowC['IdColaborador'];
						$PagoRpm= $rowC['PagoRpm'];
						
						$sql = "
							insert into cr_gasto_operativo
							(
							IdGastoOperativo,IdColaborador,Estado,Monto,Fecha,
							UsuarioCreacion,FechaCreacion
							)
							values
							(
							null,'".$IdColaborador."','A','".$PagoRpm."','".$Fecha."',
							'sys.system','".$FechaCreacion."'
							)
							";
						echo $sql."<br>";
						$result_i = mysql_db_query(Conexion::getNameDb(), $sql, $con);
						$idref = mysql_insert_id($con);
						
					}
					
				}
			}
			
		}
	}
}
?>